weka.core

## Class ClassloaderUtil

- java.lang.Object
- - weka.core.ClassloaderUtil

- All Implemented Interfaces:
    RevisionHandler

      public class ClassloaderUtil
      extends java.lang.Object
      implements RevisionHandler

  Utility class that can add jar files to the classpath dynamically.
  Version:
    $Revision: 10203 $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}org

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassloaderUtil()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addFile(java.io.File f)` Add file to CLASSPATH
    `static void` | `addFile(java.lang.String s)` Add file to CLASSPATH
    `static void` | `addURL(java.net.URL u)` Add URL to CLASSPATH
    `java.lang.String` | `getRevision()` Returns the revision string.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassloaderUtil

          public ClassloaderUtil()

  - ### Method Detail

    - #### addFile

          public static void addFile(java.lang.String s)
                              throws java.io.IOException

      Add file to CLASSPATH
      Parameters:
        `s` - File name
      Throws:
        `java.io.IOException` - if something goes wrong when adding a file

    - #### addFile

          public static void addFile(java.io.File f)
                              throws java.io.IOException

      Add file to CLASSPATH
      Parameters:
        `f` - File object
      Throws:
        `java.io.IOException` - if something goes wrong when adding a file

    - #### addURL

          public static void addURL(java.net.URL u)
                             throws java.io.IOException

      Add URL to CLASSPATH
      Parameters:
        `u` - URL
      Throws:
        `java.io.IOException` - if something goes wrong when adding a url

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Returns:
        the revision